Get Apple App Reviews Results by id

 
This endpoint will provide you with feedback data on applications listed on the App Store platform, including review ratings, review content, user profile info of each reviewer, review publication dates, and more. The results are specific to the app_id as well as the location and language parameters specified in the POST request.

We emulate set parameters with the highest accuracy so that the results you receive will match the actual search results for the specified parameters at the time of task setting. You can always check the returned results accessing the check_url in the Incognito mode to make sure the received data is entirely relevant. Note that user preferences, search history, and other personalized search factors are ignored by our system and thus would not be reflected in the returned results.

checked GET
Pricing

Your account will be charged only for setting a task. You can get the results of the task within the next 30 days for free.
The cost can be calculated on the Pricing page.

Description of the fields for sending a request:

Field nameTypeDescription
idstring

task identifier
unique task identifier in our system in the UUID format
you will be able to use it within 30 days to request the results of the task at any time


‌‌‌‌
‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

You can also get all available SERP features by making a request to the following Sandbox URL:
https://sandbox.dataforseo.com/v3/app_data/apple/app_reviews/task_get/advanced/00000000-0000-0000-0000-000000000000
The response will include all available items in the Apple App Reviews Advanced endpoint with the fields containing dummy data.
You won’t be charged for using Sandbox endpoints.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array that were returned an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        app_idstring

application id received in a POST array

        typestring

search engine type in a POST array

        se_domainstring

search engine domain in a POST array

        location_codeinteger

location code in a POST array

        language_codestring

language code in a POST array

        check_urlstring

direct URL to search engine results
you can use it to make sure that we provided accurate results

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        titlestring

title of the app
title of the application for which the reviews are collected

        ratingobject

rating of the app
rating of the application for which the reviews are collected

            rating_typestring

type of rating
here you can find the following elements: Max5, Percents, CustomMax

            valuefloat

the average rating based on all reviews

            votes_countinteger

the number of votes

            rating_maxinteger

the maximum value for a rating_type

        reviews_countinteger

the total number of reviews
in this case, the value will be null as App Store does not indicate the total number of app reviews

        items_countinteger

the number of reviews items in the results array
you can get more results by using the depth parameter when setting a task

        itemsarray

found reviews

            typestring

the review's type
possible review types: "app_store_reviews_search"

            rank_groupinteger

position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank among all the listed reviews
absolute position among all reviews on the list

            positionstring

the alignment of the review in SERP
can take the following values: left

            versionstring

version of the app
version of the app for which the review is submitted

            ratingobject

the rating score submitted by the reviewer

                rating_typestring

the type of the rating
can take the following values: Max5

                valuefloat

the value of the rating

                votes_countinteger

the amount of feedback
in this case, the value will be null

                rating_maxinteger

the maximum value for a rating_type
the maximum value for Max5 is 5

            timestampstring

date and time when the review was published
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”;
example:
2019-11-15 12:57:46 +00:00

            idstring

id of the review

            titlestring

title of the review

            review_textstring

content of the review

            user_profileobject

user profile of the reviewer

                profile_namestring

profile name of the reviewer

                profile_image_urlstring

URL to the reviewer's profile image


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="04011058-0696-0199-0000-2196151a15cb" 
curl --location --request GET "https://api.dataforseo.com/v3/app_data/apple/app_reviews/task_get/advanced/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

try {
	$result = array();
	// #1 - using this method you can get a list of completed tasks
	// GET /v3/app_data/apple/app_reviews/tasks_ready
	$tasks_ready = $client->get('/v3/app_data/apple/app_reviews/tasks_ready');
	// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
	if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
		foreach ($tasks_ready['tasks'] as $task) {
			if (isset($task['result'])) {
				foreach ($task['result'] as $task_ready) {
					// #2 - using this method you can get results of each completed task
					// GET /v3/app_data/apple/app_reviews/task_get/advanced/$id
					if (isset($task_ready['endpoint_advanced'])) {
						$result[] = $client->get($task_ready['endpoint_advanced']);
					}
					// #3 - another way to get the task results by id
					// GET /v3/app_data/apple/app_reviews/task_get/advanced/$id
					/*
					if (isset($task_ready['id'])) {
						$result[] = $client->get('/v3/app_data/apple/app_reviews/task_get/advanced/' . $task_ready['id']);
					}
					*/
				}
			}
		}
	}
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const task_id = '02231934-2604-0066-2000-570459f04879';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/app_data/apple/app_reviews/task_get/advanced' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# get the task results by id
# GET /v3/app_data/apple/app_reviews/task_get/advanced/$id
id = "06141103-2692-0309-1000-980b778b6d25"
response = client.get("/v3/app_data/apple/app_reviews/task_get/advanced/" + id)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task app_data_apple_app_reviews_task_get_by_id()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // get the task results by id
            // GET /v3/app_data/apple/app_reviews/task_get/advanced/$id
            // use the task identifier that you recieved upon setting a task
            string id = "06141103-2692-0309-1000-980b778b6d25";
            var taskGetResponse = await httpClient.GetAsync("/v3/app_data/apple/app_reviews/task_get/advanced/" + id);
            var result = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
            if (result.tasks != null)
            {
                var fst = result.tasks.First;
                // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                if (fst.status_code >= 40000 || fst.result == null)
                    Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                else
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, fst));
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20230705",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.1315 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "07071414-1535-0425-0000-2cee12cf9b5b",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0681 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "app_data",
        "apple",
        "app_reviews",
        "task_get",
        "advanced",
        "07071414-1535-0425-0000-2cee12cf9b5b"
      ],
      "data": {
        "se_type": "reviews",
        "se": "apple",
        "api": "app_data",
        "function": "app_reviews",
        "app_id": "835599320",
        "location_code": 2840,
        "language_code": "en",
        "depth": 200,
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "app_id": "835599320",
          "type": "reviews",
          "se_domain": "itunes.apple.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": "https://apps.apple.com/us/app/id835599320?see-all=reviews",
          "datetime": "2023-07-07 11:14:49 +00:00",
          "title": "TikTok",
          "rating": {
            "rating_type": "Max5",
            "value": 4.8,
            "votes_count": 15160324,
            "rating_max": 5
          },
          "reviews_count": 15160324,
          "items_count": 200,
          "items": [
            {
              "type": "app_store_reviews_search",
              "rank_group": 1,
              "rank_absolute": 1,
              "position": "left",
              "version": "29.0.0",
              "rating": {
                "rating_type": "Max5",
                "value": 5,
                "votes_count": null,
                "rating_max": 5
              },
              "timestamp": "2023-04-17 18:09:43 +00:00",
              "id": "9832393822",
              "title": "TikTok, The Last Frontier",
              "review_text": "Upsides: The app allows ppl to find community with likeminded people from all over the world. Allows you to earn your audience, and build your reputation through producing good content frequently. Over all, there is a very positive vibe on TikTok compared to other social media platforms, and the users seem to keep each other in check when it comes to being negative and bullying. It’s more entertaining and many times more informative than tv. It gives you a window into real peoples worlds as well, as opposed to Hollywood scripted scenes and scenarios. There are so many creative people out there freely sharing their art forms, and helping each other out, it’s beautiful to see. nnDownside: TikTok needs to build in a better reporting and appeal system. The current system has been weaponized to attack people simply because of opposing views. (I’ve seen people organize mass reporting parties for TikTok on Twitter.) Which isn’t fair to people who are working hard to make good clean content that happens to rub another group the wrong way. It can cause their videos to be removed their accounts to be limited or banned unjustly. Meanwhile very problematic content and malicious predatory behavior seems hard to get under control. I suggest more human discernment, deeper investigations into reports, and possibly repercussions for users who abuse the reporting system.",
              "user_profile": {
                "profile_name": "doublepenny",
                "profile_image_url": null
              }
            },
            {
              "type": "app_store_reviews_search",
              "rank_group": 2,
              "rank_absolute": 2,
              "position": "left",
              "version": "30.0.0",
              "rating": {
                "rating_type": "Max5",
                "value": 5,
                "votes_count": null,
                "rating_max": 5
              },
              "timestamp": "2023-07-01 18:39:23 +00:00",
              "id": "10093293959",
              "title": "Best app ever",
              "review_text": "Tiktok is literally one of the best + most used apps. I love how you can create a tiktok and get many likes on it but there are just a few problems that need to be fixed. First, people being unfit. They need to fix these inappropriate videos just because everyone wants to scroll through tiktoks to see normal videos and then come out to one like this. Second, shadowbanning. I've been banned in the shadows ever since I posted one of my most liked videos. I only get likes from my followers and I'm on fyp but I only get views. Third, tiktok glitches. My friend made a video and almost the entire video continued to have these gray things that made the video unbearable. I got likes but the video was full of glitches on tiktok. I just want you to fix this stuff not trying to be rude but just wanting to have a better experience without having these problems. I also have a good side in tiktok which is amazing. Tiktok is absolutely amazing and you can literally record anything without having a problem. You can search for anything you want, even things you don't know, and it will appear for you. I love the music that people make and I love the way you can watch your favorite videos, songs, etc. Thank you TikTok for being such a great app. Only problems are kind of annoying but it's not the songs and videos that I'm seeing. Thank you ",
              "user_profile": {
                "profile_name": "balsam7777",
                "profile_image_url": null
              }
            },
            {
              "type": "app_store_reviews_search",
              "rank_group": 3,
              "rank_absolute": 3,
              "position": "left",
              "version": "29.8.0",
              "rating": {
                "rating_type": "Max5",
                "value": 5,
                "votes_count": null,
                "rating_max": 5
              },
              "timestamp": "2023-06-17 01:20:48 +00:00",
              "id": "10041539974",
              "title": "Amazing app",
              "review_text": "TikTok, a social media platform that allows users to create and share short-form videos, has become increasingly popular in recent years, and with good reason. One of the best things about TikTok is that it provides a platform for creative expression. Users can showcase their talents, share their opinions, and connect with others who share their interests. From dance routines to comedy skits to cooking tutorials, TikTok offers a diverse range of content that is both entertaining and informative.nnAnother positive aspect of TikTok is its ability to bring people together. The platform has become a hub for communities of all kinds, from fitness enthusiasts to book lovers to animal lovers. Users can connect with others who share their passions and form meaningful relationships online. Additionally, TikTok has been used to raise awareness about important issues, such as mental health and social justice, creating a sense of unity and solidarity among users.nnFinally, TikTok has become a source of inspiration for many people. The platform is filled with uplifting and motivational content that encourages users to pursue their dreams and be their best selves. From inspiring quotes to personal stories of triumph over adversity, TikTok has become a platform for positivity and self-improvement. Overall, TikTok has brought a lot of good into the world, and its impact is likely to continue to grow in the years to come.",
              "user_profile": {
                "profile_name": "fyp.zenify",
                "profile_image_url": null
              }
            },
            {
              "type": "app_store_reviews_search",
              "rank_group": 4,
              "rank_absolute": 4,
              "position": "left",
              "version": "29.8.0",
              "rating": {
                "rating_type": "Max5",
                "value": 5,
                "votes_count": null,
                "rating_max": 5
              },
              "timestamp": "2023-06-14 23:02:58 +00:00",
              "id": "10034361624",
              "title": "Good platform",
              "review_text": "This is a very good platform that could create something for everyones participation, prerogative actions or likes on what they cud or wud do for this platform for both parties TikTok n followers that is creating positivity vibes and could give a person a chance to join regardless of race and sex ,good form to express motivational  acts that everyone could understand and make something big out of the sources of each individual to whatever endeavors they get in life in the coming future ❤️.spreading kindness love ,awareness to each n everyone that is humanand inviting everyone to be of what ,when ,where and how-they wanted to be in pursuing the actions in their future goodwill to life they are having at the present time in this world ….thank you TikTok for these experience that u gave me to achieve  and access this platform to exceed the capability of doing a positive manner for myself n others lives . That I would say it’s awesome to be a member of this community that encourages the goodness of each other with the help of another other lol  did I say it right ? In short I’m aware that I’m satisfied and enjoying TikTok everyday,everytime  every seconds and everywhere in my own lifebut I just don’t know yet on  how to get compensated doing this here .but most honestly of all I’m just happy on expressing my inner feelings with TikTok .again I shall say thank you TikTok …",
              "user_profile": {
                "profile_name": "Jeyrey24",
                "profile_image_url": null
              }
            },
            {
              "type": "app_store_reviews_search",
              "rank_group": 5,
              "rank_absolute": 5,
              "position": "left",
              "version": "29.1.1",
              "rating": {
                "rating_type": "Max5",
                "value": 5,
                "votes_count": null,
                "rating_max": 5
              },
              "timestamp": "2023-05-02 21:05:14 +00:00",
              "id": "9886050394",
              "title": "Fun but could use improvements",
              "review_text": "I enjoy this app on my free time, I don’t like how it gets switched in the live and then it’s on a continuing cycle of watching live videos. I can’t stand that if I wanted to watch live, I can click on live and watch live but I don’t enjoy watching the live, so I don’t appreciate it jumping to live in getting stuck on it. Also, I don’t like how when I click I’m not interested on a video it keeps showing the same content, Creator, or the same content. I don’t appreciate how many ads have been popping up lately. I understand the ads here and there to keep the Apple live. I totally get that I’m for that but there has been so many. More than there ever was. And when I click, I’m not interested yet they still show up. I find that frustrating. I dislike how many children are on this app yet they’re strippers basically half naked, showing their dance routines.. there’s still so much inappropriate content for a child to watch and when you report a video where it contact creator, I wish they would look into it more and see what is best for the people viewing it not there guidelines because I feel the guidelines are quite as accurate as a contact that’s being put out there so if it’s inappropriate it’s inappropriate and I wish they would take that into consideration, instead of finding no violation in it.",
              "user_profile": {
                "profile_name": "Skinnbonessss",
                "profile_image_url": null
              }
            }
          ]
        }
      ]
    }
  ]
}